Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453515 - ganglia needs update to work with updated rrdtool
Summary: ganglia needs update to work with updated rrdtool
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ganglia
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kostas Georgiou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 07:04 UTC by J. Randall Owens
Modified: 2008-07-03 03:14 UTC (History)
1 user (show)

Fixed In Version: 3.0.7-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 03:14:23 UTC


Attachments (Terms of Use)

Description J. Randall Owens 2008-07-01 07:04:24 UTC
Description of problem:
rrdtool was recently updated, and since ganglia-gmetad and ganglia-web depend on
the (former) particular version of rrdtool (1.3-0.14.beta4), smart (& presumably
yum & PackageKit?) ask to uninstall these to install the new rrdtool (1.3.0-1)

Version-Release number of selected component (if applicable):
ganglia-gmetad-3.0.7-1
ganglia-web-3.0.7-1

How reproducible:
Attempt to upgrade to latest Fedora Updates, while the ganglia packages are
already installed

Steps to Reproduce:
1. smart install ganglia-gmetad ganglia-web rrdtool-1.3-0.14.beta4
2. smart upgrade
  
Actual results:
smart asks to uninstall the ganglia packages to upgrade rrdtool

Expected results:
smart upgrades rrdtool and possibly the ganglia packages, without uninstalling
any of them

Additional info:
I'll do a repackage of these as soon as rrdtool etc. finish upgrading, and see
whether all that's needed is a package rebuild & release bump.  Guessing by the
versionless "BuildRequires: rrdtool-devel" in the specfile, that's probably all.

Comment 1 J. Randall Owens 2008-07-01 07:13:09 UTC
Oh, and I did check testing to see if there were any new ganglia packages coming
down the pipe, but didn't find anything there yet.

Comment 2 J. Randall Owens 2008-07-01 07:27:45 UTC
Ah, it's not just the bump in the release number of rrdtools that did it.  They
now provide librrd(_th)?.so.4 instead of librrd(_th)?.so.2 like the older
packages.  And then ganglia-web requires ganglia-gmetad, which requires
librrd.so.2....

Comment 3 J. Randall Owens 2008-07-01 08:31:36 UTC
My mock-rebuilt release with no changes to the specfile installs nicely.

Comment 4 Kostas Georgiou 2008-07-01 11:32:08 UTC
I'll push new packages later on today, the rrdtool update caught me by surprise :(

Comment 5 Fedora Update System 2008-07-01 12:09:46 UTC
ganglia-3.0.7-2.fc9 has been submitted as an update for Fedora 9

Comment 6 Jarod Wilson 2008-07-01 14:03:47 UTC
Yeah, rrdtool snuck in a soname bump somewhere late in the 1.3.0 development
cycle... Didn't notice it in rawhide, as a ganglia 3.1.x development build was
recently pushed there, which picked up the new rrdtool. I think I noticed it,
but forgot to mention it, apologies.

Comment 7 Fedora Update System 2008-07-02 06:35:12 UTC
ganglia-3.0.7-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ganglia'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5990

Comment 8 Fedora Update System 2008-07-03 03:14:21 UTC
ganglia-3.0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.